package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallPayLog;

/**
 * 支付记录Service接口
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
public interface IMallPayLogService 
{
    /**
     * 查询支付记录
     * 
     * @param id 支付记录主键
     * @return 支付记录
     */
    public MallPayLog selectMallPayLogById(String id);

    /**
     * 查询支付记录列表
     * 
     * @param mallPayLog 支付记录
     * @return 支付记录集合
     */
    public List<MallPayLog> selectMallPayLogList(MallPayLog mallPayLog);

    /**
     * 新增支付记录
     * 
     * @param mallPayLog 支付记录
     * @return 结果
     */
    public int insertMallPayLog(MallPayLog mallPayLog);

    /**
     * 修改支付记录
     * 
     * @param mallPayLog 支付记录
     * @return 结果
     */
    public int updateMallPayLog(MallPayLog mallPayLog);

    /**
     * 批量删除支付记录
     * 
     * @param ids 需要删除的支付记录主键集合
     * @return 结果
     */
    public int deleteMallPayLogByIds(String[] ids);

    /**
     * 删除支付记录信息
     * 
     * @param id 支付记录主键
     * @return 结果
     */
    public int deleteMallPayLogById(String id);
}
